commit:     af1ea1118e1f295848ccac7180757ed3e7b1c53c
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  7 22:54:26 2018 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Wed Nov  7 22:55:49 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af1ea111

sys-apps/openrc: add new 0.40 services to boot runlevel

Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 sys-apps/openrc/openrc-9999.ebuild | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/sys-apps/openrc/openrc-9999.ebuild 
b/sys-apps/openrc/openrc-9999.ebuild
index 7babd0045d3..03c55deff41 100644
--- a/sys-apps/openrc/openrc-9999.ebuild
+++ b/sys-apps/openrc/openrc-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -250,6 +250,10 @@ EOF
 
        has_version ">=sys-apps/openrc-0.35" || add_boot_init cgroups sysinit
 
+       if ! has_version ">=sys-apps/openrc-0.40"; then
+               add_boot_init save-keymaps
+               add_boot_init save-termencoding
+       fi
 }
 
 # >=OpenRC-0.11.3 requires udev-mount to be in the sysinit runlevel with udev.

Reply via email to